KDE 4.7 PyKDE API Reference

- KDE's Python API

# DocumentStyle Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The MediaList interface provides the abstraction of an ordered collection of media, without defining or constraining how this collection is implemented. All media are lowercase strings.

## Methods
| __init__ (self)
| __init__ (self, DOM.DocumentStyle other)
bool | isNull (self)
DOM.DOMString | preferredStylesheetSet (self)
DOM.DOMString | selectedStylesheetSet (self)
| setSelectedStylesheetSet (self, DOM.DOMString aString)
DOM.StyleSheetList | styleSheets (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.DocumentStyle | other
| ) |  |  |

bool isNull | ( |  | self ) |

DOM.DOMString preferredStylesheetSet | ( |  | self ) |

DOM.DOMString selectedStylesheetSet | ( |  | self ) |

setSelectedStylesheetSet | ( | self, |
|  | DOM.DOMString | aString
| ) |  |  |

DOM.StyleSheetList styleSheets | ( |  | self ) |